@import "../global.css";

div#root {
  --primary: #00487c;
  --primary-text: #00487c;
  --primary-svg: #00487c;
  --secondary: var(--gold);
  --secondary-text: var(--gold);
  --secondary-svg: var(--gold);
  --secondary-accent-line: var(--gold);
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

/* Align Center - Wide */
.fwm-column-halves .fwm-nestable-flex {
  align-items: center;
}

/* Primary H2 */
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  font-weight: 900;
  font-size: 2rem;
}
.fwm-section-header .fwm-section-header-hgroup::after {
  content: "";
  display: block;
  width: 12.5rem;
  height: 0.25rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

.fwm-section-header.fwm-text-align-center .fwm-section-header-hgroup::after {
  margin: 0.75rem auto;
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2.25rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2.5rem;
  }
}
/* Contact Map Header */
.fwm-team-map-title.fwm-section-header-title-text {
  font-weight: 900;
  font-size: 2rem;
}
.fwm-team-map-title.fwm-section-header-title-text::after {
  content: "";
  display: block;
  width: 12.5rem;
  height: 0.25rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-team-map-title.fwm-section-header-title-text {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2.25rem;
  }
}
@media (min-width: 64rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2.5rem;
  }
}
/* Primary H3 */
h3.fwm-primary-h3.fwm-primary-h3 {
  font-weight: 400;
  margin-bottom: 0;
}
h3.fwm-primary-h3.fwm-primary-h3::after {
  display: none;
}

.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary-text);
}

/* Sequential Headers */
.fwm-sequence-panel .fwm-sequence-panel-item-headline-text {
  font-weight: 900;
}

.fwm-lightTheme.fwm-sequence-panel .fwm-sequence-panel-item-headline-text {
  color: var(--primary-text);
}

/* Hero Gradient/Box (has Supporting Text) */
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container {
  border: 0.5rem solid #fff;
  position: relative;
  text-shadow: 0 0 10px #000;
  padding: 1.5rem;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  font-weight: 900;
  text-shadow: 0 0 10px #000;
  text-transform: uppercase;
  letter-spacing: 0.25vw;
  line-height: 1;
  font-size: 3rem;
}
.fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-supporting-text p {
  font-weight: 400;
  margin-bottom: 0;
  text-shadow: 0 0 10px #000;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container {
    padding: 3rem;
    max-width: 50rem;
  }
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 3.5rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:has(.fwm-hero-large-supporting-text) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4rem;
  }
}
/* Hero Gradient/Box (no Supporting Text) */
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup {
  position: relative;
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  font-weight: 900;
  text-transform: uppercase;
  font-size: 2.25rem;
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container.fwm-hero-no-cta hgroup::after {
  content: "";
  display: block;
  margin: 0.9375rem 0 1rem 0;
  max-width: 6.25rem;
  height: 0.5rem;
  background-color: var(--secondary);
}
.fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-box-align-center .fwm-hero-large-text-container.fwm-hero-no-cta hgroup::after {
  margin: 0.9375rem auto 1rem;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 2.75rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box:not(:has(.fwm-hero-large-supporting-text)) .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 3rem;
  }
}